org.gnome.gtk

## Class Unit

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.Unit

-     public final class Unit
      extends org.freedesktop.bindings.Constant

  Constants describing different units which are be used when giving the dimensions of a piece of paper. Used when getting dimensions from a `PaperSize`.
  Since:
    4.0.10
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Unit` | `INCH` Size in "inches", America's pre-industrial age measuring unit.
    `static Unit` | `MM` Size in millimetres, which are 1/10th of a centimetre and 1/1000th of a metre.
    `static Unit` | `PIXEL`
    `static Unit` | `POINTS` Size in "points", which are defined as 1/72nd of an inch, which works out to about 0.35 millimetres.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INCH

          public static final Unit INCH

      Size in "inches", America's pre-industrial age measuring unit. Roughly corresponds to the size of your big toe (the fact that there are 12 inches to a foot seems a bit strange given that most of us have only 10 toes).

      Interestingly, a "two by four" is a common description for a wooden beam used in construction, stemming from their having originally had a cross-section of 2 by 4 inches. Successive generations of profiteering forestry companies and unscrupulous builders have, however, cut margins and shortchanged customers to the point where a modern "two by four" you can buy at a lumber yard is barely a miserable 0.79 by 1.57 inches in cross-section. This, amazingly enough, is exactly 2 by 4 centimetres.

      Reports of a conspiracy to force the Americans to switch to metric are, obviously, completely baseless.

    - #### MM

          public static final Unit MM

      Size in millimetres, which are 1/10th of a centimetre and 1/1000th of a metre.

    - #### PIXEL

          public static final Unit PIXEL

    - #### POINTS

          public static final Unit POINTS

      Size in "points", which are defined as 1/72nd of an inch, which works out to about 0.35 millimetres.